package rexsee.core.browser;

import rexsee.core.browser.clazz.BrowserParent;
import rexsee.core.widget.Div;
import android.content.Context;

public class BrowserDiv extends Div {
	public final Browser browser;
	public BrowserDiv(Context context, Browser parent, BrowserParent dialog) {
		super(context);
		browser = new Browser(context, parent, this, dialog);
		this.setStyle("border-width:0;");
		this.addChild(browser);
	}
	@Override
	public void setStyle(String style) {
		this.setDivStyle(style);
		browser.setStyle(style);
	}
}
