package rexsee.core.browser.clazz;

import java.util.ArrayList;

import rexsee.core.browser.Browser;
import android.content.Context;

public class LoadResourceListeners {
	private final ArrayList<LoadResourceListener> listeners;
	public LoadResourceListeners() {
		listeners = new ArrayList<LoadResourceListener>();
	}
	public void add(LoadResourceListener listner) {
		listeners.add(listner);
	}
	public void clear() {
		listeners.clear();
	}
	public void run(Context context, Browser browser, String url) {
		for (int i = 0; i < listeners.size(); i++)
			listeners.get(i).run(context, browser, url);
	}
	public static abstract class LoadResourceListener {
		public abstract void run(Context context, Browser browser, String url);
	}
}
