package rexsee.core.browser.clazz;

import java.util.ArrayList;

public class ResumeListeners {
	private final ArrayList<Runnable> listeners;
	public ResumeListeners() {
		listeners = new ArrayList<Runnable>();
	}
	public void add(Runnable listener) {
		listeners.add(listener);
	}
	public void remove(Runnable listener) {
		listeners.remove(listener);
	}
	public void clear() {
		listeners.clear();
	}
	public void run() {
		for (int i = 0; i < listeners.size(); i++)
			listeners.get(i).run();
	}
	public int size() {
		return listeners.size();
	}
}
