package rexsee.core.browser.clazz;

import rexsee.core.browser.Browser;
import rexsee.core.style.StyleSheet;
import android.graphics.Rect;
import android.view.View;

public interface RootViewInterface {

	public View getView();
	public Browser getBrowser();
	public Rect getRect();

	public void addChild(String position, int index, View child);
	public void removeChild(String position, View child);

	public void setStyle(String style);
	public String getStyle(String name);
	public StyleSheet getStyleSheet();

	public void startAnimation(String style);
	public void stopAnimation();

}
