package rexsee.core.browser.clazz;

import rexsee.core.browser.Browser;
import android.content.Context;

public abstract class UrlListener {
	public final String url;
	public UrlListener(String listenedUrl) {
		url = listenedUrl.toLowerCase();
	}
	public abstract boolean shouldAddToHistory(Context context, Browser browser, String url);
	public abstract void run(Context context, Browser browser, String url);
}
