package rexsee.ebook;

import rexsee.core.style.StyleSheet;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;

public class PageBreakLine implements LineInterface {
	public final Rect rect;
	public final String verticalAlign;
	public final Drawable background;
	public final StyleSheet headerStyle;
	public final StyleSheet footerStyle;
	public PageBreakLine(Rect rect, String verticalAlign, Drawable background, StyleSheet headerStyle, StyleSheet footerStyle) {
		this.rect = rect;
		this.verticalAlign = verticalAlign;
		this.background = background;
		this.headerStyle = headerStyle;
		this.footerStyle = footerStyle;
	}
	@Override
	public boolean isNull() {
		return false;
	}
	@Override
	public boolean isPageBreak() {
		return true;
	}
	@Override
	public int getHeight() {
		return 0;
	}
	@Override
	public void draw(Canvas canvas, Rect rect) {
	}
	@Override
	public String getIndexTitle() {
		return null;
	}
	@Override
	public String getText() {
		return null;
	}
}
