package rexsee.ebook;

import android.graphics.drawable.GradientDrawable;

public class PageDrawables {

	int[] color = {0x333333, 0xb0333333};
	int[] backShadowColors = new int[]{0xff111111, 0x111111};
	int[] frontShadowColors = new int[]{0x80111111, 0x111111};

	GradientDrawable back_LR;
	GradientDrawable back_RL;
	GradientDrawable folder_LR;
	GradientDrawable folder_RL;
	GradientDrawable front_HBT;
	GradientDrawable front_HTB;
	GradientDrawable front_VLR;
	GradientDrawable front_VRL;
	public PageDrawables() {
		folder_RL = new GradientDrawable(GradientDrawable.Orientation.RIGHT_LEFT, color);
		folder_RL.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		folder_LR = new GradientDrawable(GradientDrawable.Orientation.LEFT_RIGHT, color);
		folder_LR.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		back_RL = new GradientDrawable(GradientDrawable.Orientation.RIGHT_LEFT, backShadowColors);
		back_RL.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		back_LR = new GradientDrawable(GradientDrawable.Orientation.LEFT_RIGHT, backShadowColors);
		back_LR.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		front_VLR = new GradientDrawable(GradientDrawable.Orientation.LEFT_RIGHT, frontShadowColors);
		front_VLR.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		front_VRL = new GradientDrawable(GradientDrawable.Orientation.RIGHT_LEFT, frontShadowColors);
		front_VRL.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		front_HTB = new GradientDrawable(GradientDrawable.Orientation.TOP_BOTTOM, frontShadowColors);
		front_HTB.setGradientType(GradientDrawable.LINEAR_GRADIENT);
		front_HBT = new GradientDrawable(GradientDrawable.Orientation.BOTTOM_TOP, frontShadowColors);
		front_HBT.setGradientType(GradientDrawable.LINEAR_GRADIENT);
	}
}
