package rexsee.network;

import rexsee.core.browser.Browser;
import rexsee.core.browser.clazz.JavascriptInterface;
import android.content.Context;

public class RexseeAPN implements JavascriptInterface {

	public static final String INTERFACE_NAME = "APN";
	@Override
	public String getInterfaceName() {
		return mBrowser.application.resources.prefix + INTERFACE_NAME;
	}
	@Override
	public JavascriptInterface getInheritInterface(Browser childBrowser) {
		return this;
	}
	@Override
	public JavascriptInterface getNewInterface(Browser childBrowser) {
		return new RexseeAPN(childBrowser);
	}

	public final Context mContext;
	private final Browser mBrowser;

	public RexseeAPN(Browser browser) {
		mBrowser = browser;
		mContext = browser.getContext();
	}

}
