package rexsee.service;

import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.IBinder;

public class _Service extends Service {

	private final IBinder mBinder = new LocalBinder();

	public class LocalBinder extends Binder {
		_Service getService() {
			return _Service.this;
		}
	}
	@Override
	public IBinder onBind(Intent intent) {
		return mBinder;
	}
	@Override
	public void onCreate() {
		super.onCreate();
		try {
			(new RexseePushSmsListener(this)).register();
			(new RexseePushHttpListener(this)).register();
			(new RexseeReliableSubmit(this)).register();
		} catch (Exception e) {
		}
	}
	@Override
	public void onDestroy() {
		super.onDestroy();
		try {
			startService(new Intent(this, _Service.class));
		} catch (Exception e) {
		}
	}

}
