package rexsee.communication;

import rexsee.core.browser.Browser;
import rexsee.core.browser.clazz.JavascriptInterface;
import android.content.Context;

public class RexseeEmail implements JavascriptInterface {

	public static final String INTERFACE_NAME = "Email";
	@Override
	public String getInterfaceName() {
		return mBrowser.application.resources.prefix + INTERFACE_NAME;
	}
	@Override
	public JavascriptInterface getInheritInterface(Browser childBrowser) {
		return this;
	}
	@Override
	public JavascriptInterface getNewInterface(Browser childBrowser) {
		return new RexseeEmail(childBrowser);
	}

	public static final String ADDRESS_SPLITER = ",";
	//public static final String IMAP_URI = "imap+ssl+://%s:%s@imap.gmail.com:993";

	public final Context mContext;
	private final Browser mBrowser;

	public RexseeEmail(Browser browser) {
		mBrowser = browser;
		mContext = browser.getContext();
	}

	//JavaScript Interface

}
