package rexsee.core.browser.clazz;

public class HistoryItem {

	private final String mUrl;
	private String mTitle;
	private int scrollX = 0;
	private int scrollY = 0;
	public final long startTime;
	public long finishTime = -1;

	public HistoryItem(String url) {
		mUrl = url;
		startTime = System.currentTimeMillis();
	}
	public HistoryItem(String url, String title) {
		mUrl = url;
		mTitle = title;
		startTime = System.currentTimeMillis();
	}
	public String getUrl() {
		return mUrl;
	}
	public String getTitle() {
		return mTitle;
	}
	public void setTitle(String title) {
		mTitle = title;
	}
	public void setScroll(int x, int y) {
		scrollX = x;
		scrollY = y;
	}
	public int getScrollX() {
		return scrollX;
	}
	public int getScrollY() {
		return scrollY;
	}

}
