package rexsee.core.browser.clazz;

import java.util.ArrayList;

import rexsee.core.browser.Browser;
import android.content.Context;

public class StopListeners {
	private final ArrayList<StopListener> listeners;
	public StopListeners() {
		listeners = new ArrayList<StopListener>();
	}
	public void add(StopListener listner) {
		listeners.add(listner);
	}
	public void remove(StopListener listner) {
		listeners.remove(listner);
	}
	public void clear() {
		listeners.clear();
	}
	public void run(Context context, Browser browser, String url) {
		for (int i = 0; i < listeners.size(); i++)
			listeners.get(i).run(context, browser, url);
	}
	public static abstract class StopListener {
		public abstract void run(Context context, Browser browser, String url);
	}
}
