package rexsee.natives;

import java.util.ArrayList;

import rexsee.core.style.StyleSheet;
import android.content.Context;
import android.view.View;

public class ViewTag {

	public final String type;
	public final String id;
	public final int uid;
	public final StyleSheet style;
	public final View view;
	public final boolean canHaveChild;
	public String parentId = null;
	public ArrayList<String> childIds = new ArrayList<String>();

	public boolean touchEvent = false;

	public Runnable resumeRunnable = null;

	public ViewTag(Context context, String id, int uid, String type, View view, boolean canHaveChild) {
		this.type = type;
		this.id = id;
		this.uid = uid;
		this.style = new StyleSheet(context);
		this.view = view;
		this.canHaveChild = canHaveChild;
	}

}
